Austin Group Defect Tracker

Aardvark Mark IV


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0001452 [1003.1(2016/18)/Issue7+TC2] Shell and Utilities Objection Error 2021-02-11 15:07 2021-11-04 18:00
Reporter geoffclare View Status public  
Assigned To
Priority normal Resolution Accepted As Marked  
Status Interpretation Required  
Name Geoff Clare
Organization The Open Group
User Reference
Section prs
Page Number 3120
Line Number 104398
Interp Status Proposed
Final Accepted Text See Note: 0005518.
Summary 0001452: prs :KV: is mandated but most implementations do not support it
Description The prs page includes :KV: in the table of "SCCS File Data Keywords" that can be used with the -d option. However, the AIX, Solaris and CSSC prs utilities do not recognise it (Solaris and CSSC output :KV: unaltered; non-support on AIX is based on the online AIX man page). HP-UX is the only implementation I could find that supports it, and it appears that all it does is substitute :KV: with "none", so I suspect the only reason it recognises the value is because it is listed in SUS.

The VSC test for this keyword says that it has not been implemented pending interpretation VWG/065/011994. So it seems that this is a known problem that was first raised in 1994 but has persisted until now. Unfortunately that date (Jan 19, 1994) predates the start of the ogtgbase email archive, and consequently I have been unable to find how that interpretation was resolved. Being 27 years old it probably doesn't affect how this should be handled now anyway.
Desired Action 1. Issue a "defect case" interpretation.

2. Delete the :KV: row of the table:
| :KV: | Keyword validation string | " | text | S |

Tags tc3-2008
Attached Files

- Relationships

-  Notes
(0005518)
Don Cragun (manager)
2021-11-04 16:28
edited on: 2021-11-04 16:31

Interpretation response
------------------------
The standard states the data keywords that can be used with prs -d, and conforming implementations must conform to this. However, concerns have been raised about this which are being referred to the sponsor.

Rationale:
-------------
Only one known implementation supports :KV: and it always returns the value "None" for this keyword.

Notes to the Editor (not part of this interpretation):
-------------------------------------------------------
Delete the :KV: row of the table:

    
| :KV: | Keyword validation string | " | text | S |


(0005519)
agadmin (administrator)
2021-11-04 18:00

An interpretation is proposed: 4th November 2021

- Issue History
Date Modified Username Field Change
2021-02-11 15:07 geoffclare New Issue
2021-02-11 15:07 geoffclare Name => Geoff Clare
2021-02-11 15:07 geoffclare Organization => The Open Group
2021-02-11 15:07 geoffclare Section => prs
2021-02-11 15:07 geoffclare Page Number => 3120
2021-02-11 15:07 geoffclare Line Number => 104398
2021-02-11 15:07 geoffclare Interp Status => ---
2021-11-04 16:28 Don Cragun Note Added: 0005518
2021-11-04 16:28 Don Cragun Status New => Interpretation Required
2021-11-04 16:28 Don Cragun Resolution Open => Accepted As Marked
2021-11-04 16:31 Don Cragun Note Edited: 0005518
2021-11-04 16:32 Don Cragun Tag Attached: tc3-2008
2021-11-04 16:33 Don Cragun Final Accepted Text => See Note: 0005518.
2021-11-04 18:00 agadmin Interp Status --- => Proposed
2021-11-04 18:00 agadmin Note Added: 0005519


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker